All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class provides Binary Compatibility only, not Source Compatibility ***

## com.sas.iom
Class InputStreamHeader

    com.sas.iom.InputStreamHeader

All Implemented Interfaces:
  com.sas.io.InputStreamHeaderInterface, java.io.Serializable, java.rmi.Remote

    @SASScope(value="ALL")
    @BinaryCompatibilityOnly
    public class InputStreamHeader

implements com.sas.io.InputStreamHeaderInterface

Provides the capability to read header information from an `IOM InputStream`.

Since:
  1.0
See Also:
  Serialized Form

Constructor Summary
`InputStreamHeader(InputStream inputStream)`

Method Summary
`java.lang.String` | `getCharacterEncoding()`
`java.lang.String` | `getContentEncoding()`
`java.lang.String` | `getContentType()`
`long` | `getHeaderFieldDate(java.lang.String name, long Default)`
`int` | `getHeaderFieldInt(java.lang.String name, int Default)`
`java.util.Map` | `getHeaders()` Get response headers by delegating to the InputStream.
`boolean` | `headerAvailable()` Determine whether or not the header is available by delegating to the InputStream.

Constructor Detail

### InputStreamHeader

    public InputStreamHeader(InputStream inputStream)
                      throws java.rmi.RemoteException

Throws:
  `java.rmi.RemoteException`

Method Detail

### getCharacterEncoding

    public java.lang.String getCharacterEncoding()
                                          throws java.io.IOException,
                                                 java.rmi.RemoteException

  Specified by:
    `getCharacterEncoding` in interface `com.sas.io.InputStreamHeaderInterface`
  Throws:
    `java.io.IOException`
    `java.rmi.RemoteException`

### getContentEncoding

    public java.lang.String getContentEncoding()
                                        throws java.io.IOException,
                                               java.rmi.RemoteException

  Specified by:
    `getContentEncoding` in interface `com.sas.io.InputStreamHeaderInterface`
  Throws:
    `java.io.IOException`
    `java.rmi.RemoteException`

### getContentType

    public java.lang.String getContentType()
                                    throws java.io.IOException,
                                           java.rmi.RemoteException

  Specified by:
    `getContentType` in interface `com.sas.io.InputStreamHeaderInterface`
  Throws:
    `java.io.IOException`
    `java.rmi.RemoteException`

### getHeaderFieldDate

    public long getHeaderFieldDate(java.lang.String name,
                                   long Default)
                            throws java.io.IOException,
                                   java.rmi.RemoteException

  Specified by:
    `getHeaderFieldDate` in interface `com.sas.io.InputStreamHeaderInterface`
  Throws:
    `java.io.IOException`
    `java.rmi.RemoteException`

### getHeaderFieldInt

    public int getHeaderFieldInt(java.lang.String name,
                                 int Default)
                          throws java.io.IOException,
                                 java.rmi.RemoteException

  Specified by:
    `getHeaderFieldInt` in interface `com.sas.io.InputStreamHeaderInterface`
  Throws:
    `java.io.IOException`
    `java.rmi.RemoteException`

### getHeaders

    public java.util.Map getHeaders()
                             throws java.io.IOException,
                                    java.rmi.RemoteException

  Get response headers by delegating to the InputStream.

  Specified by:
    `getHeaders` in interface `com.sas.io.InputStreamHeaderInterface`
  Throws:
    `java.io.IOException`
    `java.rmi.RemoteException`

### headerAvailable

    public boolean headerAvailable()
                            throws java.rmi.RemoteException

  Determine whether or not the header is available by delegating to the InputStream.

  Specified by:
    `headerAvailable` in interface `com.sas.io.InputStreamHeaderInterface`
  Throws:
    `java.rmi.RemoteException`

*** This class provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.